Package com.google.earth.kml._2

# Class OrientationType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.OrientationType

public class OrientationType extends ObjectType
<p>Java class for OrientationType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="OrientationType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <all> <element name="heading" type="{http://earth.google.com/kml/2.1}angle360" minOccurs="0"/> <element name="tilt" type="{http://earth.google.com/kml/2.1}angle360" minOccurs="0"/> <element name="roll" type="{http://earth.google.com/kml/2.1}angle360" minOccurs="0"/> </all> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Double`
  `heading`
  `protected Double`
  `roll`
  `protected Double`
  `tilt`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrientationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getHeading()`
  Gets the value of the heading property.
  `Double`
  `getRoll()`
  Gets the value of the roll property.
  `Double`
  `getTilt()`
  Gets the value of the tilt property.
  `void`
  `setHeading(Double value)`
  Sets the value of the heading property.
  `void`
  `setRoll(Double value)`
  Sets the value of the roll property.
  `void`
  `setTilt(Double value)`
  Sets the value of the tilt property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### heading

    protected Double heading

  - ### tilt

    protected Double tilt

  - ### roll

    protected Double roll

- ## Constructor Details

  - ### OrientationType

    public OrientationType()

- ## Method Details

  - ### getHeading

    public Double getHeading()
    Gets the value of the heading property.
    Returns:
      possible object is `Double`

  - ### setHeading

    public void setHeading(Double value)
    Sets the value of the heading property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getTilt

    public Double getTilt()
    Gets the value of the tilt property.
    Returns:
      possible object is `Double`

  - ### setTilt

    public void setTilt(Double value)
    Sets the value of the tilt property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getRoll

    public Double getRoll()
    Gets the value of the roll property.
    Returns:
      possible object is `Double`

  - ### setRoll

    public void setRoll(Double value)
    Sets the value of the roll property.
    Parameters:
      `value` - allowed object is `Double`